Collect Additional Data API

AI Tools

Introduction

The Attestr back office team may occasionally need more information to complete a specific verification. In such cases, the team updates the profile with a follow-up question, and, if set up, a web hook notification is sent to the customer. Refer to the Webhooks section to configure the web hook.

API Details

Web hook notification payload

Attestr servers trigger a factx.query web hook event when a new query is posted by the back office executive. The event payload has the following structure.

Type

Key

Description

Min Version

Max Version

String

_id

Unique Query Id

v1


String

profile

Associated profile Id



Array[QueryObject]

queries

Array of queries object. For QueryObject definition, refer to Get Profile API

v1


{ "event": "factx.query", "payload": { "_id": "AQ0jPe2Y_J_09hiBEo", "profile": "AX1y-dBZ1qhpcGltIW", "queries": [ { "_id": "AQ0gRM3b8geMY7-sU5", "text": "Please share your updated PAN document", "documents": [ "MX17Cd6KEBSsbKSaou" ], "response": null, "responseDocuments": null, "created": 1661024715867, "createdBy": null, "updated": null, "updatedBy": null }] } }

Upon receiving this web hook notification, the customer should then use the Collect Additional Data API to submit response to the query. The API definition is described below.

Collect Additional Data API

Type

URL

PUT

https://api.attestr.com/api/{version}/public/factx/<profileId>/query/<queryId>

Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v1


String

Authorization

Basic {authToken}

Required

v1


Info

If you do not have the authentication token, please refer to Register App to generate one.

Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

String

response

Detailed text response to the query. Max length 16384 characters.

Required

v1


String[]

documents

Array of supporting document Ids. To generate document Ids, first upload each document using Document Upload

Optional

v1


Sample Request

{ "response":"The document is attached herewith", "documents": ["MX17Cd6KEBSsbKSaou"] }

Response Details

Http Status 200

Error Response

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4005

Operation could not be performed due to low credits balance

400

40018

Invalid profile Id or you do not have access to this record

400

40038

Profile is archived already, operation not allowed

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Sample Error Response

{ "code": 4001, "message": "Malformed data or missing required parameter values" }


  Last updated